> ## Documentation Index
> Fetch the complete documentation index at: https://fermata-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Company Plan

> A plan basically acts as a template of account balance denominations and parameters that you can apply to an account upon creation



## OpenAPI

````yaml POST /v1/companies/{company_id}/plans
openapi: 3.1.0
info:
  version: '0.1'
  title: Fermata API
  summary: >-
    Fermata is a billing engine that supports prepaid balances and real-time
    usage computation
  description: ''
servers:
  - url: https://api.gofermata.com
security:
  - apiKey: []
paths:
  /v1/companies/{company_id}/plans:
    post:
      summary: Create Company Plan
      description: >-
        A plan basically acts as a template of account balance denominations and
        parameters that you can apply to an account upon creation
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                charge_amount:
                  type: integer
                charge_denomination:
                  type: string
                billing_period:
                  type: string
                rollover:
                  type: boolean
                  description: >-
                    Should all existing balances be cleared when a new billing
                    period starts?
                threshold_alert_percentage:
                  type: integer
                  description: >-
                    Causes a webhook to be sent when any of the balances drops
                    below the given percentage
                balances:
                  type: array
                  minItems: 1
                  items:
                    type: object
                    properties:
                      amount:
                        type: string
                      denomination:
                        type: string
                      overage_charge_amount:
                        type: integer
                        description: >-
                          If this is set, then once this treasury account hits
                          zero then instead of going negative, charges are
                          processed against a different denomination instead for
                          a given amount
                      overage_charge_denomination:
                        type: string
                      auto_refill_amount:
                        type: integer
                      auto_refill_threshold:
                        type: integer
              required:
                - charge_amount
                - charge_denomination
                - billing_period
            examples:
              Example 1:
                value:
                  name: string
                  charge_amount: 0
                  charge_denomination: string
                  billing_period: string
                  rollover: true
                  balances:
                    - amount: string
                      denomination: string
                      overage_charge_amount: 0
                      overage_charge_denomination: string
                      auto_refill_amount: 0
                      auto_refill_threshold: 0
      responses:
        '200':
          description: OK
      security:
        - apiKey: []
      servers:
        - url: https://api.gofermata.com
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: basic

````